language: python

sudo: false

matrix:
  include:
    - python: 2.6
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 2.6
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 2.6
      os: linux
      compiler: clang
      env: ARCH=x86_64
    - python: 2.6
      os: linux
      compiler: clang
      env: ARCH=i386
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 2.7
      os: linux
      compiler: clang
      env: ARCH=x86_64
    - python: 2.7
      os: linux
      compiler: clang
      env: ARCH=i386
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 3.4
      os: linux
      compiler: clang
      env: ARCH=x86_64
    - python: 3.4
      os: linux
      compiler: clang
      env: ARCH=i386
    - language: C
      os: osx
      compiler:
        - clang
        - gcc
      env:
        - ARCH=i386
        - ARCH=x86_64

addons:
  apt:
    packages:
    - bzip2
    - libsndfile1-dev
    - libsamplerate-dev
    - libjack-dev
    - libasound2-dev
    - libfftw3-dev
    - python-dev
    - python-numpy
    - python3-setuptools
    - python3-dev
    - python3-numpy

script:
  - make build
  - make build_python
  - make clean_python
  - make clean
  - make distcheck
